<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Task Pre66-70 Provinces</title>

    <!-- Select2 -->
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- daterange picker -->
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">

</head>

<body class="hold-transition sidebar-mini">
    <div class="wrapper">


        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="index3.html" class="brand-link">
                <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
                    style="opacity: .8">
                <span class="brand-text font-weight-light">Admin</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image col-sm-5">
                        <img src="dist/img/hinhconde.jpg" class="img-circle elevation-2 w-100" alt="User Image">
                    </div>
                    <div class="info col-sm-7">
                        <a href="#" class="d-block"><b>Huy Nguyễn 18+</b></a>
                    </div>
                </div>

                <!-- SidebarSearch Form -->
                <div class="form-inline">
                    <div class="input-group" data-widget="sidebar-search">
                        <input class="form-control form-control-sidebar" type="search" placeholder="Search"
                            aria-label="Search">
                        <div class="input-group-append">
                            <button class="btn btn-sidebar">
                                <i class="fas fa-search fa-fw"></i>
                            </button>
                        </div>
                    </div>
                </div>

                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
                        <li class="nav-item menu-open">
                            <a href="#" class="nav-link active">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>
                                    Dashboard
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="https://ironhackvietnam.edu.vn/" class="nav-link active">
                                        <i class="fas fa-book nav-icon"></i>
                                        <p>Tìm Hiểu Ironhack</p>
                                    </a>
                                </li>

                            </ul>
                        </li>

                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            
                        </div>
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#">Home</a></li>
                                <li class="breadcrumb-item active">Devcamp</li>
                            </ol>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section>

            <!-- Main Content-->
            <div class="container">
                <div class="form-group">
                    <div class="text-center mt-2 mb-2">
                        <h2><b>--<>--Việt Nam 63 Tỉnh Thành--<>--</b></h2>
                    </div>
                    <div class="container jumbotron border bordered">
                        <div class="row form-group">
                          <div class="col-sm-2">
                            <label>Province</label>
                          </div>
                          <div class="col-sm-4">
                            <select class="form-control" id="s-province">
                              <option value="0">-- Chọn Province --</option>
                            </select>
                          </div>
                        </div>
                        <div class="row form-group">
                          <div class="col-sm-2">
                            <label>District</label>
                          </div>
                          <div class="col-sm-4">
                            <select class="form-control" id="s-district">
                              <option value="none">-- Chọn District --</option>
                            </select>
                          </div>
                        </div>
                        <div class="row form-group">
                          <div class="col-sm-2">
                            <label>Ward</label>
                          </div>
                          <div class="col-sm-4">
                            <select class="form-control" id="s-ward">
                              <option value="0">-- Chọn Ward --</option>
                            </select>
                          </div>
                        </div>
                    
                    
                      </div>

                    

                    
                </div>
                <!-- Vùng Modal -->

                <!-- Create Student modal -->
                <div>
                    <div id="create-student-modal" class="modal fade" tabindex="-1">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="h5-modal-title">Create new Student</h5>
                                    <button class="close" data-dismiss="modal">&times;</button>
                                </div>
                                <div class="modal-body">
                                    <form>
                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label for="input-create-student-id">Student ID</label>
                                            </div>
                                            <div class="col-sm-8">
                                                <select type="text" id="input-create-student-id" name="Student ID"
                                                    placeholder="..." class="form-control select2"></select>
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label for="input-create-discount">Subject Id</label>
                                            </div>
                                            <div class="col-sm-8">
                                                <select type="text" id="input-create-subject-id" name="subjectId"
                                                    placeholder="...." class="form-control select2"></select>
                                            </div>
                                        </div>

                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label for="input-create-grade"> Grade</label>
                                            </div>
                                            <div class="col-sm-8">
                                                <input type="number" id="input-create-grade" name="grade"
                                                    placeholder="...." class="form-control">
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label for="input-create-exam-date"> ExamDate</label>
                                            </div>
                                            <div class="col-sm-8">

                                                <div class="input-group date" id="reservationdate"
                                                    data-target-input="nearest">
                                                    <input type="text" class="form-control datetimepicker-input"
                                                        data-target="#reservationdate" />
                                                    <div class="input-group-append" data-target="#reservationdate"
                                                        data-toggle="datetimepicker">
                                                        <div class="input-group-text"><i class="fa fa-calendar"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                                <!-- <input type="text" id="input-create-exam-date" name="examDate"
                                                    placeholder="...." class="form-control"> -->
                                            </div>
                                        </div>


                                    </form>
                                </div>
                                <div class="modal-footer">
                                    <button class="btn btn-secondary" id="btn-create-cancel"
                                        data-dismiss="modal">Cancel</button>
                                    <button class="btn btn-primary" id="btn-create-student">Create Student</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Edit Student modal -->
                <div>
                    <div id="edit-student-modal" class="modal fade" tabindex="-1">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="h5-modal-title">edit Student</h5>
                                    <button class="close" data-dismiss="modal">&times;</button>
                                </div>
                                <div class="modal-body">
                                    <form>
                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label for="input-edit-student-id">Student ID</label>
                                            </div>
                                            <div class="col-sm-8">
                                                <select type="text" id="input-edit-student-id" name="Student ID"
                                                    placeholder="..." class="form-control select2"></select>
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label for="input-edit-subject-id">Subject Id</label>
                                            </div>
                                            <div class="col-sm-8">
                                                <select type="text" id="input-edit-subject-id" name="subjectId"
                                                    placeholder="...." class="form-control select2"></select>
                                            </div>
                                        </div>

                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label for="input-edit-grade"> Grade</label>
                                            </div>
                                            <div class="col-sm-8">
                                                <input type="number" id="input-edit-grade" name="grade"
                                                    placeholder="...." class="form-control">
                                            </div>
                                        </div>
                                        <div class="row form-group">
                                            <div class="col-sm-4">
                                                <label for="input-edit-exam-date"> Exam Date</label>
                                            </div>
                                            <div class="col-sm-8">
                                                <input type="text" id="input-edit-exam-date" name="examDate"
                                                    placeholder="...." class="form-control">
                                            </div>
                                        </div>


                                    </form>
                                </div>
                                <div class="modal-footer">
                                    <button class="btn btn-secondary" id="btn-edit-cancel"
                                        data-dismiss="modal">Cancel</button>
                                    <button class="btn btn-primary" id="btn-edit-student">Edit Student</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Delete Student modal -->
                <div>
                    <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="h5-modal-title">Student Delete Confirmation</h5>
                                    <button class="close" data-dismiss="modal">&times;</button>
                                </div>
                                <div class="modal-body">
                                    <label>Bạn có chắc chắn muốn xóa Student này không?</label>
                                </div>
                                <div class="modal-footer">
                                    <button class="btn btn-danger" id="btn-confirm-delete-student">Confirm</button>
                                    <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->
        <footer class="main-footer no-print">
            <div class="float-right d-none d-sm-block">
                <b>Version</b> 3.2.0
            </div>
            <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights
            reserved.
        </footer>


    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>



    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="plugins/moment/moment.min.js"></script>
    <!-- date-range-picker -->
    <script src="plugins/daterangepicker/daterangepicker.js"></script>
    <!-- Select2 -->
    <script src="plugins/select2/js/select2.full.min.js"></script>


    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>

    <!-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>


    <script>

        //Initialize Select2 Elements
        $('.select2').select2();

        //Initialize Select2 Elements
        $('.select2').select2({
            theme: 'bootstrap4'
        });
        //Date picker
        $('#reservationdate').daterangepicker({
            singleDatePicker: true,
            showDropdowns: true,
            format: 'L'
        });

    </script>

<script>
    var gElementProvince = $("#s-province");
    var gElementDistrict = $("#s-district");
    var gElementWard = $("#s-ward");
  
    $(document).ready(function () {
      onPageLoading();
      loadDataProvince();// Lấy dữ liệu lên bảng select province
  
      function onPageLoading() {
        console.log("Loading Page")
      }
      function loadDataProvince() {
        $.ajax({
          url: "http://localhost:8080/all-provinces-info",
          method: "GET",
          success: function (ResProvince) {
            console.log(ResProvince);
            loadDataToProvinceSelect(ResProvince);
  
          },
          error: function () {
            console.log("Không thể load");
          }
        });
      }
      function loadDataToProvinceSelect(paramResProvince) {
        for (i = 0; i < paramResProvince.length; i++) {
          var provinceOption = $("<option/>");
          provinceOption.prop("value", paramResProvince[i].id);
          provinceOption.prop("text", paramResProvince[i].name);
          gElementProvince.append(provinceOption);
        };
      }
  
      //Lấy Id của province khi có sự thay đổi lựa chọn
      gElementProvince.on("change", function () {
        var provinceId = $(this).val();
        if (provinceId != "none") {
  
          gElementDistrict.html("--Chọn District--");
          $("<option>", {
            value: "none",
            text: "--Chọn District--"
          }).appendTo(gElementDistrict);
  
  
          gElementWard.html("--Chọn Ward--");
          $("<option>", {
            value: "none",
            text: "--Chọn Ward--"
          }).appendTo(gElementWard);
  
          getDistrictByProvinceId(provinceId);
        } else {
          $("#s-district").value("none");
          $("#s-district").html("--Chọn District--");
  
        }
      });
      //Lấy danh sách các quận huyện của 1 thành phố hay 1 tỉnh
      function getDistrictByProvinceId(paramId) {
        $.ajax({
          url: "http://localhost:8080/district-in-province?id=" + paramId,
          method: "GET",
          success: function (ResDist) {
            console.log(ResDist);
            loadDataToDistrictSelect(ResDist);
          },
          error: function (Res) {
            console.log("Không Tải được nha bạn");
          }
        });
      }
  
      function loadDataToDistrictSelect(paramResDist) {
  
        if (paramResDist.length > 0) {
  
          for (i = 0; i < paramResDist.length; i++) {
            var districtOpt = $("<option/>");
            districtOpt.prop("value", paramResDist[i].id);
            districtOpt.prop("text", paramResDist[i].name);
            gElementDistrict.append(districtOpt);
          };
        }
      }
      //Lấy Id của quận khi có sự thay đổi lựa chọn
      gElementDistrict.on("change", function () {
        var districtId = $(this).val();
        if (districtId != "none") {
          $("#s-ward").empty(); //xóa trắng khi thay đổi Quận Huyện
          $("<option>", {
            value: "none",
            text: "--Chọn Ward--"
          }).appendTo(gElementWard);
  
          getWardByDistrictId(districtId);
        }
        else {
  
          $("#s-ward").empty();
          $("<option>", {
            value: "none",
            text: "--Chọn Ward--"
          }).appendTo(gElementWard);
  
        }
      });
      function getWardByDistrictId(paramId) {
        $.ajax({
          url: "http://localhost:8080/ward-in-district?id=" + paramId,
          method: "GET",
          success: function (ResWard) {
            console.log(ResWard);
            loadDataToWardSelect(ResWard);
          },
          error: function (Res) {
            console.log("Không Tải được nha bạn");
          }
        });
      }
      function loadDataToWardSelect(paramResWard) {
  
        if (paramResWard.length > 0) {
  
          for (i = 0; i < paramResWard.length; i++) {
            var wardOpt = $("<option/>");
            wardOpt.prop("value", paramResWard[i].id);
            wardOpt.prop("text", paramResWard[i].name);
            gElementWard.append(wardOpt);
          };
        }
      }
  
  
  
  
    });
  
  
  </script>


</body>
​


</html>